PHP is one of the most commonly used general-purpose scripting languages. It is pretty popular because it is free software, which can be used to develop responsive sites like social networking websites, shopping portals or e-teaching portals as opposed to static HTML-based sites. A PHP module should be activated on the web server where a PHP site is hosted so that its PHP code can be ‘deciphered’. As there aren’t any license taxes for this type of module and the language itself offers incalculable options for the applications that you build, there are hundreds of millions of PHP-powered websites. Also, there’re a huge number of PHP scripts, which you can use for your websites without having to possess any coding knowledge. Considering the fact that there are different versions of PHP, you must confirm whether the exact same version that you used whilst developing your site is installed on the server too.

PHP 4, PHP 5, PHP 7 and PHP 8 Support in Web Hosting

In case you purchase a web hosting package from us, you will never need to wonder if your sites are compatible with the hosting platform, as multiple PHP versions are installed on our servers for your convenience. The Hepsia hosting Control Panel will allow you to pick PHP 4, PHP 5, PHP 7 and PHP 8 with just one click and if you want to change the current version, the new settings will be applied right away. In this way, years of work on sites built with an older version won’t go down the drain. Our web hosting platform will even allow you to use a different PHP version for each domain hosted in your account, which means that you can use newer and older scripts at the same time. Most hosting providers on the marketplace offer one, sometimes two PHP versions. In stark contrast with them, we strongly consider that you should be the one to select the version that will be used by your own sites.

PHP 4, PHP 5, PHP 7 and PHP 8 Support in Semi-dedicated Servers

If you’ve got a website built with an older PHP version and you’ve contributed time and efforts toward developing it, fixing security loopholes and entering web page content, you’ll need a hosting service that can support it, since almost all hosting vendors today support only the most recent PHP version and abandon the earlier versions. We, on the other hand, have decided to permit you to pick the version that your very own websites require. Our semi-dedicated servers support PHP 4, PHP 5, PHP 7 and PHP 8, which suggests that you will be able to run both newer and older scripts without forfeiting any manual settings or wasting time and efforts trying to make your websites compatible with the hosting environment. The version can be changed from the Hepsia Control Panel and such a change will apply to the entire semi-dedicated account, but you’ll also be able to select a different PHP version for each single website that you host in your account by means of an .htaccess file.